Subject: Re: bug#9754: Issue with Emacs 23.4

From: Glenn Morris <[email-masked]>
Date: Fri, 18 May 2012 12:33:05 -0400

Ken Brown wrote:

> I understand, and I'm no longer proposing the patch for the emacs-24
> branch.  My question is about what should be done in the trunk.  It
> seems to me that it would be better to use x_in_use, and I'm wondering
> if knowledgeable people agree.

More knowledgeable people != me; but I just want to ask what the actual
issue is. You said:

  The call of g_main_context_query in xgselect.c:62 still uses the
  variables gfds and gfds_size, which are not initialized by
  xgselect_initialize if we're running emacs -nw. But, more
  fundamentally, it doesn't make sense for emacs -nw to be interacting
  with GLib at all.

This sort of makes it sound like the last sentence is a cosmetic issue,
and it was the first bit (uninitialized variables; although they
supposedly are initialized) that stopped your Cygwin crashes.

Is the crash reproducible on any other platform besides Cygwin?